2019-12-15 01:37 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005415Spring engineGeneralpublic2016-12-13 17:14
Reportergajop 
Assigned Tocleanrock 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version104.0Fixed in Version 
Summary0005415: ArchiveScan fails to extract appropriate map names
DescriptionAfter deleting my .cache and rescanning the archives with a new engine, I'm getting nonsensical results (garbage): http://i.imgur.com/CjpkcvJ.jpg
These are all normal maps that have worked before (comet_catcher_redux.sd7 enclaves_v1.sd7 evorts-new_iammas-v05.sd7 titanduel.sd7
emain_macha_v3.sd7 epic40x40_32p.sd7 onyxcauldron1.6.sd7 widepass_fineto.sd7).
The issue remains even if I redownload them with pr-downloader.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon infolog.txt (7,557 bytes) 2016-12-11 18:33 -
    Using configuration source: "/home/gajop/.config/spring/springsettings.cfg"
    ============== <User Config> ==============
    3DTrees = 0
    AdvMapShading = 0
    AdvSky = 1
    AdvUnitShading = 0
    AllowDeferredMapRendering = 1
    AllowDeferredModelRendering = 1
    BumpWaterAnisotropy = 2
    BumpWaterBlurReflection = 1
    BumpWaterDepthBits = 16
    BumpWaterReflection = 2
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamMode = 1
    DualScreenMiniMapOnLeft = 1
    DynamicSky = 1
    EdgeMoveDynamic = 0
    EdgeMoveWidth = 0.003
    FPSFOV = 90
    FSAALevel = 2
    FeatureDrawDistance = 60000
    FeatureFadeDistance = 45000
    ForceShaders = 1
    Fullscreen = 0
    GroundDetail = 100
    GroundScarAlphaFade = 1
    HangTimeout = 0
    HardwareCursor = 1
    HighResLos = 1
    HostPortDefault = 0
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LastSelectedMap = Enclaves v1
    LastSelectedMod = ABC - A(lmost Minimal)
    LastSelectedScript = Player vs. AI: NullAI 0.1
    LinkIncomingMaxPacketRate = 64000
    LinkIncomingMaxWaitingPackets = 512000
    LinkIncomingPeakBandwidth = 32768000
    LinkIncomingSustainedBandwidth = 2048000
    LinkOutgoingBandwidth = 65536000
    LoadingMT = 0
    LogSections = VFS, ArchiveScanner
    MaxDynamicMapLights = 0
    MaxDynamicModelLights = 0
    MaxParticles = 20000
    MaxSounds = 32
    MaximumTransmissionUnit = 0
    MiddleClickScrollSpeed = -0.001
    MouseDragScrollThreshold = 0
    OverheadScrollSpeed = 50
    ReconnectTimeout = 0
    ScreenshotCounter = 263
    ScrollWheelSpeed = -25
    ShadowMapSize = 6144
    Shadows = 1
    ShowClock = 0
    ShowPlayerInfo = 0
    SmoothLines = 1
    SpringData = /home/gajop/.spring:/mnt/big/spring-datadir
    TreeRadius = 1000
    UnitIconDist = 151
    UnitLodDist = 9999
    UsePBO = 0
    VSync = 1
    Water = 0
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 0
    XResolution = 1920
    XResolutionWindowed = 1920
    YResolution = 1080
    YResolutionWindowed = 1080
    name = gajop
    snd_airAbsorption = 0
    snd_volmaster = 100
    ============== </User Config> ==============
    Available log sections: SkyBox, Font, LuaSocket, Net, KeyBindings, CSMFGroundTextures, CregSerializer, RoamMeshDrawer, GameServer, BumpWater, DynWater, OBJParser, ArchiveScanner, ModelRenderContainer, CrashHandler, FarTextureHandler, Shader, Model, Path, Texture, GroundMoveType, Piece, AutohostInterface, Sound, VFS, DecalsDrawerGL4
    Enabled log sections: ArchiveScanner(Notice), Sound(Notice), VFS(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 103.0.1-320-g6e14f6f HEAD
    Build Environment: boost-106200, GNU libstdc++ version 20160830
    Compiler Version:  gcc-6.2.1 20160830
    Operating System:  Linux 4.8.10-1-ARCH #1 SMP PREEMPT Mon Nov 21 11:55:43 CET 2016 x86_64
    Word Size:         64-bit (native mode)
             CPU Clock: std::chrono::high_resolution_clock
    Physical CPU Cores: 4
     Logical CPU Cores: 4
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    [CrashHandler] Core dumps enabled, not installing signal handler
    [CrashHandler] see /proc/sys/kernel/core_pattern where it gets written
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 800x600, 1280x720, 1024x768, 1280x800, 1600x900, 1280x1024, 1680x1050, 1920x1080
    Supported Video modes on Display 2 x:1920 y:0 1360x768:
    	640x480, 720x480, 1440x480, 800x600, 1280x720, 1024x768, 1360x768, 1280x1024, 1400x1050, 1920x1080
    SDL version:  linked 2.0.5; compiled 2.0.5
    GL version:   4.5.0 NVIDIA 375.20
    GL vendor:    NVIDIA Corporation
    GL renderer:  GeForce GTX 760/PCIe/SSE2
    GLSL version: 4.50 NVIDIA
    GLEW version: 2.0.0
    Video RAM:    total 2048MB, available 1071MB
    SwapInterval: 1
    FBO::maxSamples: 32
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 190, maximum vec4 varying/attributes: 31/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 1048576/1048576
    	number of UniformBufferBindings: 84 (64kB)
    Using Adaptive VSync
    [InitOpenGL] video mode set to 1920x1080:24bit @60Hz (windowed)
    [WatchDog::Install] disabled
    [WatchDog] registering controls for thread [main]
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    Using read-write data directory: /home/gajop/.config/spring/
    Using read-only data directory: /home/gajop/.spring/
    Using read-only data directory: /home/gajop/opt/spring/share/games/spring/
    Using read-only data directory: /mnt/big/spring-datadir/
    ArchiveCache cache/103dev-HEAD/ArchiveCache11.lua doesn't exist
    Scanning: /mnt/big/spring-datadir/maps
    Scanning: /mnt/big/spring-datadir/games
    Scanning: /mnt/big/spring-datadir/packages
    Scanning: /home/gajop/opt/spring/share/games/spring/base
    Scanning: /home/gajop/.spring/maps
    Scanning: /home/gajop/.spring/games
    CArchiveScanner: 1266 ms
    [f=-000001] [Sound] OpenAL info:
    [f=-000001] [Sound]   Available Devices:
    [f=-000001] [Sound]               Built-in Audio Analog Stereo
    [f=-000001] [Sound]               GK104 HDMI Audio Controller Digital Stereo (HDMI)
    [f=-000001] [Sound]               Built-in Audio Digital Stereo (HDMI)
    [f=-000001] [Sound]   Device:     OpenAL Soft
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.17.2
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_BFORMAT AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_BFORMAT AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFT_HRTF ALC_SOFT_loopback ALC_SOFT_pause_device
    [f=-000001] [Sound]   EFX Enabled: yes
    [f=-000001] [Sound]   Max Sounds: 32
    [f=-000001] [WatchDog] registering controls for thread [audio]
    [f=-000001] Joysticks found: 0
    [f=-000001] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=-000001] [ThreadPool::SetThreadCount][2] #threads=2
    [f=-000001] [Threading] Main thread CPU affinity mask set: 12
    [f=-000001] [VFS] Error: AddArchive: Failed to open archive 'No map selected' (path '', type 0).
    [f=-000001] [InitOpenGL] video mode set to 1920x1044:24bit @60Hz (windowed)
    [f=-000001] [SpringApp::ShutDown][1]
    [f=-000001] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=-000001] [ThreadPool::SetThreadCount][2] #threads=0
    [f=-000001] [SpringApp::ShutDown][2]
    [f=-000001] [SpringApp::ShutDown][3]
    [f=-000001] [SpringApp::ShutDown][4]
    [f=-000001] [WatchDog] deregistering controls for thread [audio]
    [f=-000001] [SpringApp::ShutDown][5]
    [f=-000001] [SpringApp::ShutDown][6]
    [f=-000001] [SpringApp::ShutDown][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [SpringApp::ShutDown][8]
    [WatchDog] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=(nil)
    [SpringApp::ShutDown][9]
    [SpringApp::Run] exitCode=0
    
    txt file icon infolog.txt (7,557 bytes) 2016-12-11 18:33 +
  • txt file icon infolog-ubuntu.txt (11,827 bytes) 2016-12-13 05:08 -
    Using configuration source: "/home/gajop/.config/spring/springsettings.cfg"
    Using additional configuration source: "/home/gajop/.spring/springsettings.cfg"
    ============== <User Config> ==============
    AllowDeferredMapRendering = 1
    AllowDeferredModelRendering = 1
    BumpWaterBlurReflection = 1
    BumpWaterDepthBits = 16
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamMode = 1
    CamTimeExponent = 4.0
    CamTimeFactor = 1.0
    DualScreenMiniMapOnLeft = 1
    FPSFOV = 90
    FSAALevel = 2
    Fullscreen = 0
    GroundDetail = 100
    GroundScarAlphaFade = 1
    HangTimeout = 0
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LODScale = 1.000
    LODScaleReflection = 1.000
    LODScaleRefraction = 1.000
    LODScaleShadow = 1.000
    LastSelectedMap = Drab
    LastSelectedMod = Balanced Annihilation V9.46
    LastSelectedScript = Player vs. AI: NullAI 0.1
    MaxParticles = 20000
    MaxSounds = 32
    MaximumTransmissionUnit = 0
    MiddleClickScrollSpeed = -0.005
    MouseDragScrollThreshold = 0
    ROAM = 2
    ReconnectTimeout = 0
    ScrollWheelSpeed = -25
    ShadowMapSize = 6144
    Shadows = 1
    ShowClock = 0
    ShowPlayerInfo = 0
    SmoothLines = 1
    TreeRadius = 1000
    UnitIconDist = 151
    UnitLodDist = 9999
    UsePBO = 0
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 0
    XResolutionWindowed = 1280
    YResolutionWindowed = 1024
    ============== </User Config> ==============
    Available log sections: SkyBox, Font, LuaSocket, Net, KeyBindings, CSMFGroundTextures, CregSerializer, RoamMeshDrawer, GameServer, BumpWater, DynWater, OBJParser, ArchiveScanner, ModelRenderContainer, CrashHandler, FarTextureHandler, Shader, Model, Path, Texture, GroundMoveType, Piece, AutohostInterface, Sound, VFS, DecalsDrawerGL4
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 103.0.1-356-g809e4d3 develop
    Build Environment: boost-105800, GNU libstdc++ version 20160609
    Compiler Version:  gcc-5.4.0 20160609
    Operating System:  Linux 4.4.0-45-generic #66-Ubuntu SMP Wed Oct 19 14:12:37 UTC 2016 x86_64
    Word Size:         64-bit (native mode)
             CPU Clock: std::chrono::high_resolution_clock
    Physical CPU Cores: 4
     Logical CPU Cores: 4
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:1920 y:0 1280x1024:
    	640x480, 800x600, 1024x768, 1152x864, 1280x1024
    Supported Video modes on Display 2 x:0 y:0 1920x1080:
    	640x480, 800x600, 1024x768, 1152x864, 1440x900, 1280x960, 1280x1024, 1680x1050, 1920x1080
    SDL version:  linked 2.0.4; compiled 2.0.4
    GL version:   4.5.0 NVIDIA 367.57
    GL vendor:    NVIDIA Corporation
    GL renderer:  GeForce GTX TITAN X/PCIe/SSE2
    GLSL version: 4.50 NVIDIA
    GLEW version: 2.0.0
    Video RAM:    total 12288MB, available 1845MB
    SwapInterval: 1
    FBO::maxSamples: 32
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 190, maximum vec4 varying/attributes: 31/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 1048576/1048576
    	number of UniformBufferBindings: 84 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1280x1024:24bit @60Hz (windowed)
    [WatchDog::Install] disabled
    [WatchDog] registering controls for thread [main]
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    Using read-write data directory: /home/gajop/.config/spring/
    Using read-only data directory: /home/gajop/.spring/
    Using read-only data directory: /home/gajop/opt/share/games/spring/
    ArchiveCache cache/103dev-develop/ArchiveCache11.lua doesn't exist
    Scanning: /home/gajop/opt/share/games/spring/base
    Scanning: /home/gajop/.spring/maps
    Scanning: /home/gajop/.spring/games
    Scanning: /home/gajop/.spring/packages
    Warning: /home/gajop/.spring/maps/harbinger_2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/coagulation_marsh_0.7.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/coagulation_marsh_0.6.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: Invalid Name detected, please contact the author of the archive to remove the Version from the Name: SpeedMetalCorridor-V1.2, Version: 1.2
    Warning: /home/gajop/.spring/maps/speedmetalcorridor-v1.2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/apophis_v2_2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/sands_of_time_v1.0.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/the_river_nix_20.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/iced_coffee_v4.3.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/living_lands_v2.03.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/battle_for_planet_xiv_-_v01.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/lonely_oasis_v1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/zed_1.7.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/duke_nukem_4.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/temple_redux_v1.2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/la_isla_bonita_v1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/green_river_confluence_v10.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/absolution_2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/akilon_wastelands_zk_v1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/quicksilver_1.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/cattle_and_loveplay_no_worms_1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/hex_farm_4.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/fairyland_v1.0.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/isle_of_grief_0.2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/crubick_plains_v1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/deserted_third_v4.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/zed_1.5.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/zed_2.2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/zed_2.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/tma-0_v1_1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/desert_needle_small_3.2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/siberiandivide_1.0.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/adansonia_v4.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/astroturf_v2_3.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/temple_redux_v1.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/sea_of_dunes_v1.0.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/trefoil_v2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/siberiandivide_1.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/deltasiegedry16th_1.0.sdz: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/vernal_3way_0.6.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/sever_1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Error: Error opening "/home/gajop/.spring/maps/aum_1.1.sd7": Archive not found
    Warning: Unable to open archive: /home/gajop/.spring/maps/aum_1.1.sd7
    Warning: /home/gajop/.spring/maps/desert_needle_small_3.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    CArchiveScanner: 2502 ms
    [f=-000001] [Sound] OpenAL info:
    [f=-000001] [Sound]   Available Devices:
    [f=-000001] [Sound]               Built-in Audio Analog Stereo
    [f=-000001] [Sound]               HDA NVidia Digital Stereo (HDMI)
    [f=-000001] [Sound]   Device:     OpenAL Soft
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound]   EFX Enabled: yes
    [f=-000001] [Sound]   Max Sounds: 32
    [f=-000001] [WatchDog] registering controls for thread [audio]
    [f=-000001] Joysticks found: 0
    [f=-000001] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=-000001] [ThreadPool::SetThreadCount][2] #threads=2
    [f=-000001] [Threading] Main thread CPU affinity mask set: 12
    [f=-000001] [InitOpenGL] video mode set to 1855x1056:24bit @60Hz (windowed)
    [f=-000001] [SpringApp::ShutDown][1]
    [f=-000001] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=-000001] [ThreadPool::SetThreadCount][2] #threads=0
    [f=-000001] [SpringApp::ShutDown][2]
    [f=-000001] [SpringApp::ShutDown][3]
    [f=-000001] [SpringApp::ShutDown][4]
    [f=-000001] [WatchDog] deregistering controls for thread [audio]
    [f=-000001] [SpringApp::ShutDown][5]
    [f=-000001] [SpringApp::ShutDown][6]
    [f=-000001] [SpringApp::ShutDown][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [SpringApp::ShutDown][8]
    [WatchDog] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=(nil)
    [SpringApp::ShutDown][9]
    [SpringApp::Run] exitCode=0
    
    txt file icon infolog-ubuntu.txt (11,827 bytes) 2016-12-13 05:08 +
  • txt file icon infolog-ubuntu-no-threadpool.txt (11,470 bytes) 2016-12-13 05:09 -
    Using configuration source: "/home/gajop/.config/spring/springsettings.cfg"
    Using additional configuration source: "/home/gajop/.spring/springsettings.cfg"
    ============== <User Config> ==============
    AllowDeferredMapRendering = 1
    AllowDeferredModelRendering = 1
    BumpWaterBlurReflection = 1
    BumpWaterDepthBits = 16
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamMode = 1
    CamTimeExponent = 4.0
    CamTimeFactor = 1.0
    DualScreenMiniMapOnLeft = 1
    FPSFOV = 90
    FSAALevel = 2
    Fullscreen = 0
    GroundDetail = 100
    GroundScarAlphaFade = 1
    HangTimeout = 0
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LODScale = 1.000
    LODScaleReflection = 1.000
    LODScaleRefraction = 1.000
    LODScaleShadow = 1.000
    LastSelectedMap = Drab
    LastSelectedMod = Balanced Annihilation V9.46
    LastSelectedScript = Player vs. AI: NullAI 0.1
    MaxParticles = 20000
    MaxSounds = 32
    MaximumTransmissionUnit = 0
    MiddleClickScrollSpeed = -0.005
    MouseDragScrollThreshold = 0
    ROAM = 2
    ReconnectTimeout = 0
    ScrollWheelSpeed = -25
    ShadowMapSize = 6144
    Shadows = 1
    ShowClock = 0
    ShowPlayerInfo = 0
    SmoothLines = 1
    TreeRadius = 1000
    UnitIconDist = 151
    UnitLodDist = 9999
    UsePBO = 0
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 0
    XResolutionWindowed = 1280
    YResolutionWindowed = 1024
    ============== </User Config> ==============
    Available log sections: SkyBox, Font, LuaSocket, Net, KeyBindings, CSMFGroundTextures, CregSerializer, RoamMeshDrawer, GameServer, BumpWater, DynWater, OBJParser, ArchiveScanner, ModelRenderContainer, CrashHandler, FarTextureHandler, Shader, Model, Path, Texture, GroundMoveType, Piece, AutohostInterface, Sound, VFS, DecalsDrawerGL4
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 103.0.1-359-g23912f6 develop
    Build Environment: boost-105800, GNU libstdc++ version 20160609
    Compiler Version:  gcc-5.4.0 20160609
    Operating System:  Linux 4.4.0-45-generic #66-Ubuntu SMP Wed Oct 19 14:12:37 UTC 2016 x86_64
    Word Size:         64-bit (native mode)
             CPU Clock: std::chrono::high_resolution_clock
    Physical CPU Cores: 4
     Logical CPU Cores: 4
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:1920 y:0 1280x1024:
    	640x480, 800x600, 1024x768, 1152x864, 1280x1024
    Supported Video modes on Display 2 x:0 y:0 1920x1080:
    	640x480, 800x600, 1024x768, 1152x864, 1440x900, 1280x960, 1280x1024, 1680x1050, 1920x1080
    SDL version:  linked 2.0.4; compiled 2.0.4
    GL version:   4.5.0 NVIDIA 367.57
    GL vendor:    NVIDIA Corporation
    GL renderer:  GeForce GTX TITAN X/PCIe/SSE2
    GLSL version: 4.50 NVIDIA
    GLEW version: 2.0.0
    Video RAM:    total 12288MB, available 1816MB
    SwapInterval: 1
    FBO::maxSamples: 32
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 190, maximum vec4 varying/attributes: 31/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 1048576/1048576
    	number of UniformBufferBindings: 84 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1280x1024:24bit @60Hz (windowed)
    [WatchDog::Install] disabled
    [WatchDog] registering controls for thread [main]
    Using read-write data directory: /home/gajop/.config/spring/
    Using read-only data directory: /home/gajop/.spring/
    Using read-only data directory: /home/gajop/opt/share/games/spring/
    ArchiveCache cache/103dev-develop/ArchiveCache11.lua doesn't exist
    Scanning: /home/gajop/opt/share/games/spring/base
    Scanning: /home/gajop/.spring/maps
    Scanning: /home/gajop/.spring/games
    Scanning: /home/gajop/.spring/packages
    Warning: /home/gajop/.spring/maps/harbinger_2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/coagulation_marsh_0.7.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/coagulation_marsh_0.6.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: Invalid Name detected, please contact the author of the archive to remove the Version from the Name: SpeedMetalCorridor-V1.2, Version: 1.2
    Warning: /home/gajop/.spring/maps/speedmetalcorridor-v1.2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/apophis_v2_2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/sands_of_time_v1.0.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/the_river_nix_20.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/iced_coffee_v4.3.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/living_lands_v2.03.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/battle_for_planet_xiv_-_v01.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/lonely_oasis_v1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/zed_1.7.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/duke_nukem_4.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/temple_redux_v1.2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/la_isla_bonita_v1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/green_river_confluence_v10.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/absolution_2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/akilon_wastelands_zk_v1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/quicksilver_1.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/cattle_and_loveplay_no_worms_1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/hex_farm_4.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/fairyland_v1.0.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/isle_of_grief_0.2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/crubick_plains_v1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/deserted_third_v4.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/zed_1.5.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/zed_2.2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/zed_2.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/tma-0_v1_1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/desert_needle_small_3.2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/siberiandivide_1.0.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/adansonia_v4.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/astroturf_v2_3.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/temple_redux_v1.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/sea_of_dunes_v1.0.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/trefoil_v2.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/siberiandivide_1.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/deltasiegedry16th_1.0.sdz: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/vernal_3way_0.6.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Warning: /home/gajop/.spring/maps/sever_1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    Error: Error opening "/home/gajop/.spring/maps/aum_1.1.sd7": Archive not found
    Warning: Unable to open archive: /home/gajop/.spring/maps/aum_1.1.sd7
    Warning: /home/gajop/.spring/maps/desert_needle_small_3.1.sd7: mapfile isn't set in mapinfo.lua, please set it for faster loading!
    CArchiveScanner: 2429 ms
    [f=-000001] [Sound] OpenAL info:
    [f=-000001] [Sound]   Available Devices:
    [f=-000001] [Sound]               Built-in Audio Analog Stereo
    [f=-000001] [Sound]               HDA NVidia Digital Stereo (HDMI)
    [f=-000001] [Sound]   Device:     OpenAL Soft
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound]   EFX Enabled: yes
    [f=-000001] [Sound]   Max Sounds: 32
    [f=-000001] [WatchDog] registering controls for thread [audio]
    [f=-000001] Joysticks found: 0
    [f=-000001] [Threading] Main thread CPU affinity mask set: 15
    [f=-000001] [InitOpenGL] video mode set to 1855x1056:24bit @60Hz (windowed)
    [f=-000001] [SpringApp::ShutDown][1]
    [f=-000001] [SpringApp::ShutDown][2]
    [f=-000001] [SpringApp::ShutDown][3]
    [f=-000001] [SpringApp::ShutDown][4]
    [f=-000001] [WatchDog] deregistering controls for thread [audio]
    [f=-000001] [SpringApp::ShutDown][5]
    [f=-000001] [SpringApp::ShutDown][6]
    [f=-000001] [SpringApp::ShutDown][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [SpringApp::ShutDown][8]
    [WatchDog] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=(nil)
    [SpringApp::ShutDown][9]
    [SpringApp::Run] exitCode=0
    
    txt file icon infolog-ubuntu-no-threadpool.txt (11,470 bytes) 2016-12-13 05:09 +

-Relationships
+Relationships

-Notes

~0016946

Kloot (developer)

Could be that my changes are responsible, but I also have reason to believe ThreadPool (which is used in ArchiveScanner as well) is completely broken at the moment.

Can you compile without THREADPOOL #defined and see if this still happens?

~0016947

gajop (developer)

Mind telling me how I should do that? I've tried adding "REMOVE_DEFINITIONS (-DTHREADPOOL)" to the builds/legacy/CMakeLists.txt, much like it was done at the top of builds/dedicated/CMakeLists.txt, but it's producing a lot of errors when linking:

../rts/System/ThreadPool.h:468: error: undefined reference to 'ThreadPool::HasThreads()'
/usr/include/c++/6.2.1/bits/atomic_base.h:514: error: undefined reference to 'ITaskGroup::lastId'
../rts/System/ThreadPool.h:121: error: undefined reference to 'ThreadPool::PushTaskGroup(std::shared_ptr<ITaskGroup>&&)'
../rts/System/ThreadPool.h:123: error: undefined reference to 'ThreadPool::WaitForFinished(std::shared_ptr<ITaskGroup>&&)'
../rts/System/ThreadPool.h:468: error: undefined reference to 'ThreadPool::HasThreads()'
/usr/include/c++/6.2.1/bits/atomic_base.h:514: error: undefined reference to 'ITaskGroup::lastId'
../rts/System/ThreadPool.h:121: error: undefined reference to 'ThreadPool::PushTaskGroup(std::shared_ptr<ITaskGroup>&&)'
../rts/System/ThreadPool.h:123: error: undefined reference to 'ThreadPool::WaitForFinished(std::shared_ptr<ITaskGroup>&&)'
../rts/Sim/Misc/LosMap.cpp:569: error: undefined reference to 'ThreadPool::GetThreadNum()'
../rts/Sim/Misc/LosMap.cpp:642: error: undefined reference to 'ThreadPool::GetThreadNum()'
../rts/System/ThreadPool.h:468: error: undefined reference to 'ThreadPool::HasThreads()'
../rts/System/ThreadPool.h:468: error: undefined reference to 'ThreadPool::HasThreads()'
/usr/include/c++/6.2.1/bits/atomic_base.h:514: error: undefined reference to 'ITaskGroup::lastId'
../rts/System/ThreadPool.h:121: error: undefined reference to 'ThreadPool::PushTaskGroup(std::shared_ptr<ITaskGroup>&&)'
../rts/System/ThreadPool.h:123: error: undefined reference to 'ThreadPool::WaitForFinished(std::shared_ptr<ITaskGroup>&&)'
/usr/include/c++/6.2.1/bits/atomic_base.h:514: error: undefined reference to 'ITaskGroup::lastId'
../rts/System/ThreadPool.h:121: error: undefined reference to 'ThreadPool::PushTaskGroup(std::shared_ptr<ITaskGroup>&&)'
../rts/System/ThreadPool.h:123: error: undefined reference to 'ThreadPool::WaitForFinished(std::shared_ptr<ITaskGroup>&&)'
collect2: error: ld returned 1 exit status

~0016948

Kloot (developer)

change https://github.com/spring/spring/blob/develop/CMakeLists.txt#L363 (and delete your cmake cache)

~0016949

gajop (developer)

OK, it compiles now but it still outputs garbage. It seems it's not deterministic: each deletion of ~/.config/spring/cache will produce different map names.

~0016950

Kloot (developer)

Last edited: 2016-12-11 17:12

View 3 revisions

Garbage rarely is.

For completeness, which commit does "a new engine" refer to?

~0016951

abma (administrator)

i can't reproduce this problem.

103.0.1-356-g809e4d3

@gajip:

infolog.txt would be nice...

~0016952

gajop (developer)

I spent some time to bisect it, and I got it to this point:
BAD: 6e14f6f1bda13a09a70cc7b2cefc9df7921ed43a
GOOD: ac665bd6a4319a250fa14eb5ef0541824e0acb07
Travis has some broken builds in between, so I didn't try to go into more detail.

The infolog of the above mentioned bad commit (6e14f6f1bda13a09a70cc7b2cefc9df7921ed43a) is attached.

~0016955

abma (administrator)

Build Environment: boost-106200, GNU libstdc++ version 20160830
Compiler Version: gcc-6.2.1 20160830


mhmm....

~0016956

abma (administrator)

@cleanrock:

as you use Arch-Linux, too: do you have the same problem?

~0016957

gajop (developer)

Additional tests reveal the following:

1. Using the latest static (https://springrts.com/dl/buildbot/default/develop/103.0.1-359-g23912f6/linux64/) worked fine. The issue seems to be with the way I'm building it.

2. I've tried this on Ubuntu 16.04 too (relevant thread: https://springrts.com/phpbb/viewtopic.php?f=12&t=35752&p=580491#p580491), and I had issues there as well, although it "only" happened to roughly 70% of maps - the infolog-ubuntu.txt is attached.
This machine has older boost and GCC (from infolog):
Spring 103.0.1-356-g809e4d3 develop
Build Environment: boost-105800, GNU libstdc++ version 20160609
Compiler Version: gcc-5.4.0 20160609

I also tried another build with no threadpool, but the results are essentially the same (attached).


So the important thing here is that it doesn't happen for all maps. Would you like to know when it happens exactly? That might give us a clue what's going on. So far I've noticed maps that give the "mapfile isn't set in mapinfo.lua, please set it for faster loading!" warning are *less* likely to have issues.

~0016958

Kloot (developer)

That would help since I can't reproduce it either.

~0016960

cleanrock (developer)

Fix 2c859bcf1747856e4d13c9941eaa2a4528019ab8 committed to develop branch: remove a few std::move calls to fix 0005415

Kloot, I suggest you read
http://thbecker.net/articles/rvalue_references/section_01.html
and then remove the rest of all bad std::move calls., repo: spring changeset id: 7663
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-12-11 13:00 gajop New Issue
2016-12-11 13:00 gajop Description Updated View Revisions
2016-12-11 14:07 abma Severity minor => block
2016-12-11 14:07 abma Target Version => 104.0
2016-12-11 14:22 Kloot Note Added: 0016946
2016-12-11 16:22 gajop Note Added: 0016947
2016-12-11 16:34 Kloot Note Added: 0016948
2016-12-11 16:51 gajop Note Added: 0016949
2016-12-11 17:00 Kloot Note Added: 0016950
2016-12-11 17:12 Kloot Note Edited: 0016950 View Revisions
2016-12-11 17:12 Kloot Note Edited: 0016950 View Revisions
2016-12-11 18:19 abma Note Added: 0016951
2016-12-11 18:19 abma Status new => feedback
2016-12-11 18:33 gajop File Added: infolog.txt
2016-12-11 18:33 gajop Note Added: 0016952
2016-12-11 18:33 gajop Status feedback => new
2016-12-12 01:22 abma Note Added: 0016955
2016-12-12 01:28 abma Note Added: 0016956
2016-12-13 05:08 gajop File Added: infolog-ubuntu.txt
2016-12-13 05:08 gajop Note Added: 0016957
2016-12-13 05:09 gajop File Added: infolog-ubuntu-no-threadpool.txt
2016-12-13 13:41 Kloot Note Added: 0016958
2016-12-13 17:14 cleanrock Changeset attached => spring develop 2c859bcf
2016-12-13 17:14 cleanrock Note Added: 0016960
2016-12-13 17:14 cleanrock Assigned To => cleanrock
2016-12-13 17:14 cleanrock Status new => resolved
2016-12-13 17:14 cleanrock Resolution open => fixed
+Issue History